> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firedrill.run/llms.txt
> Use this file to discover all available pages before exploring further.

# Inspect exact Tool declaration, schemas and file hashes without executing behavior



## OpenAPI

````yaml /api-reference/openapi.json get /v1/projects/{projectId}/tool-library/{libraryEntryId}
openapi: 3.1.0
info:
  title: Firedrill Control API
  version: 1.0.0
  description: >-
    The control plane for drills, drill runs, and the worlds they run in. Errors
    always carry the canonical envelope; unsafe operations require an
    Idempotency-Key; long work returns an operation resource.
servers:
  - url: https://api.firedrill.run
security:
  - controlCredential: []
paths:
  /v1/projects/{projectId}/tool-library/{libraryEntryId}:
    get:
      summary: >-
        Inspect exact Tool declaration, schemas and file hashes without
        executing behavior
      operationId: toolLibrary.get
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
            pattern: ^prj_[0-9a-z]{12,32}$
        - name: libraryEntryId
          in: path
          required: true
          schema:
            type: string
            pattern: ^[a-z0-9][a-z0-9-]{0,79}$
      responses:
        '200':
          description: Reviewed Tool entry
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ToolLibraryEntry'
        default:
          description: Canonical error envelope
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorEnvelope'
components:
  schemas:
    ToolLibraryEntry:
      type: object
      properties:
        libraryEntryId:
          type: string
          pattern: ^[a-z0-9][a-z0-9-]{0,79}$
        title:
          type: string
          minLength: 1
          maxLength: 160
        packageName:
          type: string
          minLength: 1
          maxLength: 214
        packageVersion:
          type: string
          minLength: 1
          maxLength: 100
        packageArchiveDigest:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        packageId:
          type: string
          minLength: 1
          maxLength: 255
        manifestHash:
          type: string
          pattern: ^sha256:[0-9a-f]{64}$
        description:
          type: string
          maxLength: 4000
        manifest:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ToolLibraryEntry___schema0'
        ui:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ToolLibraryEntry___schema0'
        starter:
          type: object
          properties:
            available:
              type: boolean
            rows:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            virtualTimeUs:
              type: integer
              minimum: 0
              maximum: 9007199254740991
          required:
            - available
            - rows
            - virtualTimeUs
          additionalProperties: false
        files:
          maxItems: 2000
          type: array
          items:
            type: object
            properties:
              path:
                type: string
                minLength: 1
                maxLength: 512
              digest:
                type: string
                pattern: ^sha256:[0-9a-f]{64}$
              bytes:
                type: integer
                minimum: 0
                maximum: 8388608
            required:
              - path
              - digest
              - bytes
            additionalProperties: false
      required:
        - libraryEntryId
        - title
        - packageName
        - packageVersion
        - packageArchiveDigest
        - packageId
        - manifestHash
        - description
        - manifest
        - starter
        - files
      additionalProperties: false
    ErrorEnvelope:
      type: object
      properties:
        code:
          type: string
          pattern: ^(control|world)\.[A-Z][A-Z0-9]*(_[A-Z0-9]+)*$
        message:
          type: string
          minLength: 1
        correlationId:
          type: string
          minLength: 1
        retryable:
          type: boolean
        retryAfterMs:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
        operationId:
          type: string
        source:
          type: string
          enum:
            - platform
            - simulated_provider
        issues:
          type: array
          items:
            type: object
            properties:
              path:
                type: string
              code:
                type: string
              message:
                type: string
            required:
              - path
              - code
              - message
            additionalProperties: false
        details:
          type: object
          propertyNames:
            type: string
          additionalProperties: {}
        evidence:
          type: object
          properties:
            sessionId:
              type: string
            runId:
              type: string
            journalSeq:
              type: integer
              minimum: 0
              maximum: 9007199254740991
            buildHash:
              type: string
          additionalProperties: false
      required:
        - code
        - message
        - correlationId
        - retryable
        - source
      additionalProperties: true
    ToolLibraryEntry___schema0:
      description: Any JSON-compatible value
  securitySchemes:
    controlCredential:
      type: http
      scheme: bearer
      description: Opaque control credential

````